Skip to main content
PATCH
/
api
/
v1
/
hooks
/
{hook_id}
/
toggle
Toggle Hook
curl --request PATCH \
  --url https://api.example.com/api/v1/hooks/{hook_id}/toggle
{
  "id": "<string>",
  "account_id": "<string>",
  "name": "<string>",
  "description": "<string>",
  "trigger": {},
  "condition": "<string>",
  "actions": [
    {}
  ],
  "enabled": true,
  "last_run_at": "2023-11-07T05:31:56Z",
  "next_run_at": "2023-11-07T05:31:56Z",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "created_by": "<string>",
  "cron": "<string>",
  "cron_description": "<string>"
}

Path Parameters

hook_id
string
required

Response

Successful Response

Response schema for a single hook.

id
string
required
account_id
string
required
name
string
required
description
string | null
required
trigger
Trigger · object
required
condition
string | null
required
actions
Actions · object[]
required
enabled
boolean
required
last_run_at
string<date-time> | null
required
next_run_at
string<date-time> | null
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
created_by
string | null
required
cron
string | null

Cron expression (schedule triggers only)

cron_description
string | null

Human-readable cron schedule